import 'dart:math';

import 'package:flutter/material.dart';

import '../provider/data.dart';
import '../utils/api.dart';

class Keyboard {

  static Container buildWidget(Data myProvider) {
    Widget buildKeyWidget(String direction) {
      String keyText = '';

      String north = '🔼';
      String south = '🔽';
      String west = '◀️';
      String east = '▶️';

      if (direction == 'north') {
        keyText = north;
      } else {
        if (direction == 'south') {
          keyText = south;
        } else {
          if (direction == 'west') {
            keyText = west;
          } else {
            if (direction == 'east') {
              keyText = east;
            }
          }
        }
      }

      return TextButton(
        style: TextButton.styleFrom(
          padding: const EdgeInsets.all(0),
        ),
        child: Text(
          keyText,
          style: TextStyle(
            fontSize: 60.0,
            fontWeight: FontWeight.w800,
          ),
          textAlign: TextAlign.center
        ),
        onPressed: () {
          if (keyText != '') {
            Api.move(myProvider, direction);
          }
        },
      );
    }

    return Container(
      margin: EdgeInsets.symmetric(horizontal: 2),
      padding: EdgeInsets.all(2),

      child: Table(
        defaultVerticalAlignment: TableCellVerticalAlignment.middle,
        children: [
          TableRow(
            children: [
              TableCell(child: buildKeyWidget('')),
              TableCell(child: buildKeyWidget('north')),
              TableCell(child: buildKeyWidget('')),
            ]
          ),
          TableRow(
            children: [
              TableCell(child: buildKeyWidget('west')),
              TableCell(child: buildKeyWidget('')),
              TableCell(child: buildKeyWidget('east')),
            ]
          ),
          TableRow(
            children: [
              TableCell(child: buildKeyWidget('')),
              TableCell(child: buildKeyWidget('south')),
              TableCell(child: buildKeyWidget('')),
            ]
          ),
        ],
      )
    );
  }

}
