import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

import '../provider/data.dart';

class SettingsPage extends StatefulWidget {
  static const String id = 'settings';
  const SettingsPage({Key? key}) : super(key: key);

  @override
  _SettingsPageState createState() => _SettingsPageState();
}

class _SettingsPageState extends State<SettingsPage> {
  TextEditingController apiHostFieldController = TextEditingController();

  @override
  void dispose() {
    apiHostFieldController.dispose();
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    Data myProvider = Provider.of<Data>(context);

    apiHostFieldController.text  = myProvider.getParameterValue('apiHost');

    return Scaffold(
      appBar: AppBar(
        title: new Text('Stepper - settings'),

        actions: [
          IconButton(
            icon: Icon(Icons.save),
            onPressed: () {
              myProvider.setParameterValue('apiHost', apiHostFieldController.text);
              Navigator.pop(context);
            },
          )
        ],

        leading: IconButton(
          icon: Image.asset('assets/icons/application.png'),
          onPressed: () { },
        ),
      ),

      body: Padding(
        padding: const EdgeInsets.all(16.0),
        child: TextFormField(
          controller: apiHostFieldController,
          decoration: InputDecoration(
            border: UnderlineInputBorder(),
            labelText: 'API Host',
          ),
        ),
      ),
    );
  }
}
